﻿
using AZ.Compute.Agent;
using Esiur.Resource;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AZ.Compute
{
    [Resource]
    public partial class Service
    {
        [Export]
        Node[] agents = new Node[0];

        [Export]
        public async void AddAgent(string ip)
        {
            var agent = await Warehouse.Get<Node>($"iip://{ip}:10001/sys/agent", new { AutoReconnect = true });

            Agents = agents.Append(agent).ToArray();
        }

        [Export]
        public void Compute(string fileName, string arguments)
        {
            Agents.First().Compute(fileName, arguments);

        }
    }
}
